package com.fs.company.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.company.domain.CompanyVoiceRobotic;
import com.fs.company.vo.CompanyVoiceRoboticQwUserListVo;

import java.util.List;

/**
 * 机器人外呼任务Mapper接口
 * 
 * @author fs
 * @date 2024-12-04
 */
public interface CompanyVoiceRoboticMapper extends BaseMapper<CompanyVoiceRobotic> {
    /**
     * 查询机器人外呼任务
     * 
     * @param id 机器人外呼任务ID
     * @return 机器人外呼任务
     */
    public CompanyVoiceRobotic selectCompanyVoiceRoboticById(Long id);

    /**
     * 查询机器人外呼任务列表
     * 
     * @param companyVoiceRobotic 机器人外呼任务
     * @return 机器人外呼任务集合
     */
    public List<CompanyVoiceRobotic> selectCompanyVoiceRoboticList(CompanyVoiceRobotic companyVoiceRobotic);
    public List<CompanyVoiceRobotic> selectCompanyVoiceRoboticListCompany(CompanyVoiceRobotic companyVoiceRobotic);

    /**
     * 新增机器人外呼任务
     * 
     * @param companyVoiceRobotic 机器人外呼任务
     * @return 结果
     */
    public int insertCompanyVoiceRobotic(CompanyVoiceRobotic companyVoiceRobotic);

    /**
     * 修改机器人外呼任务
     * 
     * @param companyVoiceRobotic 机器人外呼任务
     * @return 结果
     */
    public int updateCompanyVoiceRobotic(CompanyVoiceRobotic companyVoiceRobotic);

    /**
     * 删除机器人外呼任务
     * 
     * @param id 机器人外呼任务ID
     * @return 结果
     */
    public int deleteCompanyVoiceRoboticById(Long id);

    /**
     * 批量删除机器人外呼任务
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteCompanyVoiceRoboticByIds(Long[] ids);

    List<CompanyVoiceRoboticQwUserListVo> qwUserList();
    List<CompanyVoiceRoboticQwUserListVo> qwUserListCompany(CompanyVoiceRobotic companyVoiceRobotic);
}
